%define upstream_name       HTML-WikiConverter-MediaWiki
%define upstream_version    0.59

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Convert HTML to MediaWiki markup
Url:        http://search.cpan.org/dist/%{upstream_name}
Source:     http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(HTML::WikiConverter)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI)
BuildArch: noarch


%description
This module contains rules for converting HTML into MediaWiki markup. See
the HTML::WikiConverter manpage for additional usage details.





%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.590.0-7.mga6
+ Revision: 1028426
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.590.0-6.mga6
+ Revision: 946215
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.590.0-5.mga5
+ Revision: 739260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.590.0-4.mga5
+ Revision: 684991
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.590.0-3.mga4
+ Revision: 512090
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.590.0-2.mga3
+ Revision: 368254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.590.0-1.mga1
+ Revision: 42853
- mageia rebuild
- imported package perl-HTML-WikiConverter-MediaWiki


* Mon Dec 06 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.590.0-1mdv2011.0
+ Revision: 612364
- normalize perl version

* Fri Dec 03 2010 Shlomi Fish <shlomif@mandriva.org> 0.59-1mdv2011.0
+ Revision: 606981
- import perl-HTML-WikiConverter-MediaWiki

